# Functor BatInnerWeaktbl.Make

    module Make: functor (H : Hashtbl.HashedType) -> Hashtbl.S  with type key = H.t

Functor building an implementation of the hashtable structure. The functor `Weaktbl.Make` returns a structure containing a type `key` of keys and a type `'a t` of hash tables associating data of type `'a` to keys of type `key`. The operations perform similarly to those of the generic interface, but use the hashing and equality functions specified in the functor argument `H` instead of generic equality and hashing.

Parameters:

`H` | : | `Hashtbl.HashedType`